From: Dmitry Shachnev <mitya57@debian.org>
Date: Thu, 7 Mar 2019 16:15:20 +0300
Subject: Add support for qmake flags to configure.py

---
 configure.py | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/configure.py b/configure.py
index e811e87..4060078 100644
--- a/configure.py
+++ b/configure.py
@@ -770,6 +770,7 @@ class _TargetConfiguration:
         self.pyqt_version_str = ''
         self.qmake = self._find_exe('qmake')
         self.qmake_spec = ''
+        self.qmake_variables = []
         self.qt_version = 0
         self.qt_version_str = ''
         self.sip = self._find_exe('sip5', 'sip')
@@ -1664,6 +1665,7 @@ macx {
             pro.write(' \\\n    %s' % s)
     pro.write('\n')
 
+    pro.write('\n'.join(target_config.qmake_variables) + '\n')
     pro.close()
 
 
@@ -1821,11 +1823,7 @@ def _main(argv, pkg_config):
 
     # Parse the command line.
     p = _create_optparser(target_config, pkg_config)
-    opts, args = p.parse_args()
-
-    if args:
-        p.print_help()
-        sys.exit(2)
+    opts, target_config.qmake_variables = p.parse_args()
 
     target_config.apply_pre_options(opts)
 
